Whitelist address
Address
Whitelist address
This endpoint allows you to whitelist an external address to be monitored based on the wallet policies
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| name | false | string | The name of the address. |
| address | true | string | The wallet address. |
| metadata | false | object | Additional metadata for the address. This will be part of any transaction tied to this. |
| showPrivateKey | false | boolean | If you want the address private key to be part of the response. |
| disableAutoSweep | false | boolean | Disable automatic sweeping of assets sent to the address into your master wallet. |
| enableGaslessWithdraw | false | boolean | Enable gasless transactions from this address. |
| privateKey | false | string | The private key associated with the address. Required for executing actions securely. |
POST
Whitelist address
授权
路径参数
示例:
""
请求体
application/json
示例:
"ADDRESS_TO_WHITELIST"
示例:
"OPTIONAL_BOOLEAN"
示例:
"OPTIONAL_BOOLEAN"
示例:
"OPTIONAL_METADATA"
示例:
"OPTIONAL_ADDRESS_NAME"
示例:
"OPTIONAL_ADDRESS_TO_WHITELIST_PRIVATE_KEY"
示例:
"OPTIONAL_BOOLEAN"

